jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Randall Hauch (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCR-3300) tests should consistently check for repository support and fail with NotExecutableException when the repo does not support the feature
Date Fri, 25 May 2012 14:38:24 GMT

    [ https://issues.apache.org/jira/browse/JCR-3300?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13283480#comment-13283480
] 

Randall Hauch commented on JCR-3300:
------------------------------------

Thanks, Jukka. We do have (suggested) fixes for the test cases: see the patch attached to
JCR-3313, and I hope later today I can attach a patch for JCR-2666.

A new unstable 2.5.0 release should work fine. I guess the stability of the releases doesn't
really apply to the TCK test artifact. Does that mean 2.4.2 is not going to happen? We don't
need the release immediately, and would be happy with a release anytime during the next few
weeks. We've been logging issues as soon as we find them, but with our 3.0 effort approaching
Beta we'd like our TCK tests to run cleanly and successfully. So we're trying to help resolve
the outstanding issues (JCR-2666 was logged almost 2 years ago).

Perhaps this is not the best place to ask, but has there ever been any discussion about separating
the TCK tests into a separate project, with it's own release cycle?
                
> tests should consistently check for repository support and fail with NotExecutableException
when the repo does not support the feature
> --------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: JCR-3300
>                 URL: https://issues.apache.org/jira/browse/JCR-3300
>             Project: Jackrabbit Content Repository
>          Issue Type: Bug
>          Components: jackrabbit-jcr-tests
>    Affects Versions: 2.4.1, 2.6
>            Reporter: Julian Reschke
>            Assignee: Julian Reschke
>            Priority: Minor
>             Fix For: 2.4.2, 2.6
>
>
> AbstractVersionTest should check for Repository.OPTION_VERSIONING_SUPPORTED and throw
NotExecutableException when not set
> RSessionAccessControlTest needs to extend from AbstractAccessControlTest instead of AbstractJCRTest
> etc.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message